Subject: Re: [PATCH 0/3] mdio: Parse DT nodes for auto-probed PHYs

From: Florian Fainelli <[email-masked]>
Date: Mon, 12 May 2014 21:33:10 -0700

Hi Daniel,

Le 10/05/2014 09:37, Daniel Mack a écrit :
> Hi Florian,
>
> here's another aproach of solving the issue with auto-probed buses and
> DT device nodes. In short, this patch set introduces a new hook which
> sets the of_node pointer of a phy device to a subnode of the bus, if
> there is any which matches the phy's address. This function is called
> from mdiobus_scan(), and is a no-op for !CONFIG_OF.
>
> Unlike with with the 1st version, dev->of_node is now available in the
> PHY driver's probe() callback already.
>
> Let me know what you think, I'm open to other ideas :)

I like it so far, I will give this a try on some of my quirky hardware. 
Thanks!

>
>
> Daniel
>
>
> Daniel Mack (3):
>    net: of_mdio: factor out code to parse a phy's 'reg' property
>    net: of_mdio: add of_mdiobus_link_phydev()
>    net: of_mdio: don't store the length of a property if we don't need to
>
>   drivers/net/phy/mdio_bus.c |  6 ++++
>   drivers/of/of_mdio.c       | 74 +++++++++++++++++++++++++++++++++++++---------
>   include/linux/of_mdio.h    |  8 +++++
>   3 files changed, 74 insertions(+), 14 deletions(-)
>